aboutsummaryrefslogtreecommitdiffhomepage
path: root/debian/pk4
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2017-10-22 13:49:24 +0200
committerGuido Günther <agx@sigxcpu.org>2017-10-22 22:25:07 +0200
commitab4de200a820482d8e6204eb8105a34f5e0fc616 (patch)
tree05e09cd5c7fe4a286b5fa6ab2880cb790de6e620 /debian/pk4
parentccfa5631aac53f2f4198f8064a290354cd07bcef (diff)
Add gbp-import-dsc hook for pk4
Can be enables via mkdir -p ~/.config/pk4/hooks-enabled/unpack/ ln -s /usr/share/pk4/hooks-available/unpack/gbp \ ~/.config/pk4/hooks-enabled/unpack/
Diffstat (limited to 'debian/pk4')
-rw-r--r--debian/pk419
1 files changed, 19 insertions, 0 deletions
diff --git a/debian/pk4 b/debian/pk4
new file mode 100644
index 00000000..edf44651
--- /dev/null
+++ b/debian/pk4
@@ -0,0 +1,19 @@
+#!/bin/sh
+set -e
+
+if [ ! -d "$2" ]; then
+ git init "$2"
+
+ # Add local gbp.conf to override any branch settings in 'debian/gbp.conf'
+ # (since this checkout wasn't created by "gbp clone"). We want to be sure the
+ # branches exist so we can build the package right away.
+ cat <<EOF > "$2"/.git/gbp.conf
+[DEFAULT]
+upstream-branch = upstream
+debian-branch = pk4
+EOF
+fi
+
+cd "$2"
+gbp import-dsc "$1"
+